ImportError: /usr/1ib64/1ibldap,so,2: undefined symbol: EVP-md2, version OPENSSL_1_1_0 - Justtosee - 博客园

374 人参与 | 时间:2024年07月17日 10:21:25
点击跳转 www.cnblogs.com
内容

ImportError: /usr/1ib64/1ibldap,so,2: undefined symbol: EVP-md2, version OPENSSL_1_1_0
问题:


升级openssl后,依赖库显示还是使用旧的版本


修改ld.so.conf使得库指向最新的版本了,但yum会报错一个函数缺失的错误,像是python没有对应依赖库。


值得注意的是,EVP_md2符号与用于网络安全通信的OpenSSL库有关。如果您遇到与此符号相关的错误,可能是因为正在使用的OpenSSL版本与正在使用它的应用程序或库所需的版本不匹配。在这种情况下,您可能需要更新您的OpenSSL的版本,或使用正确版本的OpenSSL重建应用程序或程序库。


解决:


./config shared enable-ssl3 enable-ssl3-method enable-mdc2 enable-md2 --prefix=/opt/openssl-1.1.1t


重新编译openssl,编译时带上参数 enable-mdc2,解决问题


./config shared enable-ssl3 enable-ssl3-method enable-mdc2 enable-md2 --prefix=/opt/openssl-1.1.1t